// This is a -*- C++ -*- header.
//========================================================================
// last updated : [2009/01/06] -16:07:16(JST)-
// by $Author: okamura $ on $Date: 2009/01/06 10:17:55 $ 
// $Name:  $-$Revision: 4.2 $-$State: Exp $
// $Source: /home/cvsroot/T2KK.FitFc1/t2kk.fitfc1.cc,v $ 
// -----------------------------------------------------------------------
//  COMMENT
// ---------
// sumple program for generating the event distribution function
//
//=======================================================================
// All right reserved Naotoshi Okamura
//=======================================================================

#include <iostream>
#include <iomanip>
#include <cmath>

#include "version.h"
#include "ccqe.h"
#include "res.h"

/*!

 \short This is the sample program for generating the event distribution.
        \f$\nu_\mu,\nu_e\f$ CCQE event and nuclear resonance event        

 ---------------------------------------------------------------------\n

 \author "$Author: okamura $"

 \date "$Date: 2009/01/06 10:17:55 $" 

 \version "$Name:  $-$Revision: 4.2 $-$State: Exp $"

 \note "$Source: /home/cvsroot/T2KK.FitFc1/t2kk.fitfc1.cc,v $"

 ---------------------------------------------------------------------\n
*/

int main(void)
{
    int n_degit = 8;
    std::cout << std::setprecision(n_degit);
    std::cout << std::setiosflags(std::ios::scientific);
    std::cout << std::setiosflags(std::ios::showpos);

    double Enu=0.0;
    std::cout << "Please input the incoming neutrino energy (GeV) : ";
    std::cin  >> Enu;
    
    double Erec=0.0;
    std::cout << "Please input the target reconstructed energy (GeV) : ";
    std::cin  >> Erec;

    
    // change the unit GeV -> MeV,
    // because following function uses "MeV"
    
    Enu  *= 1.0e3;
    Erec *= 1.0e3;

    double F_m_CCQE = Fnmcc(Enu, Erec);
    double F_e_CCQE = Fnecc(Enu, Erec);
    double F_m_Res  = Fnmres(Enu, Erec);
    double F_e_Res  = Fneres(Enu, Erec);
 
    std::cout << "The value of the probability for each event type/flavor:"
              << std::endl;

    std::cout << "nu_mu : CCQE event \t\t"
              << F_m_CCQE
              << std::endl;

    std::cout << "nu_e  : CCQE event \t\t"
              << F_e_CCQE
              << std::endl;

    std::cout << "nu_mu : Resonance event \t"
              << F_m_Res
              << std::endl;

    std::cout << "nu_e  : Resonance event \t"
              << F_e_Res
              << std::endl;

    return 0;
}
